# Table-of-contents

- [Intro](#intro)
- [Documentation](#documentation)
- [Feature Requests](#feature-requests)
- [Migrating from DC script](#migrating-from-dc-script)
- [Discord](#discord)
- [Support](#support)

# Intro

At its inception, this project emerged as a fork of the original onlyfans-scraper. With invaluable support from the community and consistent script updates, we've undergone substantial architectural changes, resulting in a significantly revamped codebase compared to the original master. While some of these modifications are detailed [HERE](https://github.com/datawhores/OF-Scraper/blob/main/CHANGES.md), most are only documented in the commit history.

This script has been thoughtfully crafted to facilitate seamless transitions from DIGITALCRIMINALS' script, ensuring robust compatibility and smooth feature migration. Furthermore, it boasts an extensive array of filtering features, empowering users with precise control over the specific content types they aim to scrape

# Documentation

For detailed instructions on:

- Installation
- Running the tool
- And other pertinent information you might need,
  Visit the following link: https://of-scraper.gitbook.io/of-scraper

<h3>DISCLAIMERS:</h3>
<ol>
    <li>
        This tool is not affiliated, associated, or partnered with OnlyFans in any way. We are not authorized, endorsed, or sponsored by OnlyFans. All OnlyFans trademarks remain the property of Fenix International Limited.
    </li>
    <li>
        This is a theoritical program only and is for educational purposes. If you choose to use it then it may or may not work. You solely accept full responsability and indemnify the creator, hostors, contributors and all other involved persons from any any all responsability.
    </li>

# Description:

command-line tool that lets you download media from OnlyFans and perform bulk actions like liking or unliking posts.

> > > > > > > ac63182e8fa145d6655e99a21aeb32365e0040fc

![CopyQ nsUBdI](https://user-images.githubusercontent.com/67020411/227816586-fb685959-cd3f-45af-adea-14773b7154f9.png)

# Issues

Open a issue in this repo, or you can mention your issue in the discord
https://discord.gg/wN7uxEVHRK

# Feature Requests

https://ofscraper.clearflask.com/feedback

Or the discord

# Migrating from DC script

To maintain compatibility with your current folders, make sure to modify the metadata option within the config file. Additionally, configure the save_path, dir_path, and filename settings to generate outputs that align with your existing setup.

The inherited metadata files from DIGITALCRIMINALS' script play a crucial role in preventing redundant downloads by acting as a check for duplicates.

For comprehensive guidance on making these adjustments, you can refer to the provided resources

1. https://of-scraper.gitbook.io/of-scraper/migrating-from-digitalcriminals-script
2. https://of-scraper.gitbook.io/of-scraper/config-options
3. https://of-scraper.gitbook.io/of-scraper/config-options/customizing-save-path

Ask in the discord or open an issue if you need help with what to change to accomplish this

# Discord

https://discord.gg/wN7uxEVHRK

# Support

buymeacoffee.com/datawhores

BTC: bc1qcnnetrgmtr86rmqvukl2e24f5upghpcsqqsy87

ETH: 0x1d427a6E336edF6D95e589C16cb740A1372F6609

[![codecov](https://codecov.io/gh/datawhores/OF-Scraper/branch/main/graph/badge.svg?token=U1F1PQ7LGM)](https://codecov.io/gh/datawhores/OF-Scraper)
